pci.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <ctype.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <linux/pci.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "hddb.h"`
`#include "pci.h"`

## Macros

#define | IORESOURCE_BITS 0x000000ff
#define | IORESOURCE_IO 0x00000100
#define | IORESOURCE_MEM 0x00000200
#define | IORESOURCE_IRQ 0x00000400
#define | IORESOURCE_DMA 0x00000800
#define | IORESOURCE_PREFETCH 0x00001000
#define | IORESOURCE_READONLY 0x00002000
#define | IORESOURCE_CACHEABLE 0x00004000
#define | IORESOURCE_DISABLED 0x10000000

## Functions

static void | add_pci_data (hd_data_t *hd_data)
static pci_t * | add_pci_entry (hd_data_t *hd_data, pci_t *new_pci)
static unsigned char | pci_cfg_byte (pci_t *pci, int fd, unsigned idx)
static void | dump_pci_data (hd_data_t *hd_data)
static void | hd_read_macio (hd_data_t *hd_data)
static void | hd_read_vio (hd_data_t *hd_data)
static void | hd_read_xen (hd_data_t *hd_data)
static void | hd_read_ps3_system_bus (hd_data_t *hd_data)
static void | hd_read_vm (hd_data_t *hd_data)
static void | add_mv643xx_eth (hd_data_t *hd_data, char *entry, char *platform_type)
static void | hd_read_platform (hd_data_t *hd_data)
static void | hd_read_of_platform (hd_data_t *hd_data)
static void | add_xen_network (hd_data_t *hd_data)
static void | add_xen_storage (hd_data_t *hd_data)
static void | hd_read_virtio (hd_data_t *hd_data)
static void | hd_read_uisvirtpci (hd_data_t *hd_data)
static void | hd_read_ibmebus (hd_data_t *hd_data)
static void | add_edid_from_file (const char *file, pci_t *pci, int index, hd_data_t *hd_data)
static void | hd_read_mmc (hd_data_t *hd_data)
static void | hd_read_sdio (hd_data_t *hd_data)
static void | hd_read_nd (hd_data_t *hd_data)
static void | hd_read_visorbus (hd_data_t *hd_data)
static void | hd_read_mdio (hd_data_t *hd_data)
void | hd_scan_sysfs_pci (hd_data_t *hd_data)
void | hd_pci_read_data (hd_data_t *hd_data)
void | hd_pci_complete_data (hd_t *hd)